/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef LOADTICKET_H_
#define LOADTICKET_H_

#include "HostData.h"

class LoadTicket {
	private :
		int nrOfProcs;
		HostData *host;

	public :
		LoadTicket(int _nrOfProcs, HostData *_host);
		virtual ~LoadTicket();
		int getNrOfProcs();
		HostData *getHost();
};

#endif /* LOADTICKET_H_ */
