/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef SENSOR_H_
#define SENSOR_H_

#include <taag_basic.h>
#include <string.h>
#include <stdio.h>

class SensorData {
	private:
		char name[TAAG_MAX_HOSTNAME_STRING];
		char hostname[TAAG_MAX_HOSTNAME_STRING];
		int port;
		int CPUcount;

	public :
		SensorData(char *_name, unsigned int port, int _CPUcount);
		virtual ~SensorData();
		char *getName();
		char *getHostName();
		int getPort();
		int getCPUcount();
};

#endif /* SENSOR_H_ */
