/*
 * $Id$
 * Author: Karoly Bosa
 *
 * (C) 2010 by Research Institute for Symbolic Computation, Linz, Austria
 * All rights reserved. See COPYRIGHT in top-level directory.
 */

#ifndef SCHEMA_PARSER_H_
#define SCHEMA_PARSER_H_

int _taag_schema_openFile(char *, char *);
int _taag_schema_fileOpened(int *);
int _taag_schema_validate();
int _taag_schema_free();

int _taag_schema_getType(char *);
int _taag_schema_getExecutable(char *);
int _taag_schema_getDirectory(char *);
int _taag_schema_getGroups(int *, int *, int *);
int _taag_schema_getTree(int *, int *, int *);
int _taag_schema_getRing(int *, int *, int *);

int _taag_schema_getNumberOfGroups(int *);
int _taag_schema_getGroupSizes(int, int *);
int _taag_schema_getEdgeMatrix(int, int *, int *);

#endif /* SCHEMA_PARSER_H_ */
